---
.kubectl-apply:
  stage: deploy
  image:
    name: alpine/k8s:1.29.6
    entrypoint: ['']
  variables:
    RESOURCE_PATH: ""
    KUBE_CONTEXT: ""
    NAMESPACE: ""
    DRY_RUN: ""
    KUBECTL_OPT: ""
  before_script:
    - kubectl config use-context $KUBE_CONTEXT
    - kubectl create namespace ${NAMESPACE} --dry-run=client -o yaml | kubectl apply -f -
  script:
    - kubectl apply --filename ${RESOURCE_PATH} --namespace ${NAMESPACE} --dry-run=${DRY_RUN}
    - kubectl apply --filename ${RESOURCE_PATH} --namespace ${NAMESPACE} ${KUBECTL_OPT}
